Bug 585577 - inadyn-mt version upgrade
Summary: inadyn-mt version upgrade
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: inadyn-mt   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-24 21:12 UTC by Bryan Hoover
Modified: 2010-11-30 09:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-30 09:08:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bryan Hoover 2010-04-24 21:12:47 UTC
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8.1.21) Gecko/20090331 K-Meleon/1.5.3

There are several important bug fixes, and a few additions between version 02.12.24, and the latest version, 02.18.14.

02.18.14 includes addition of audible network connection status alerts, and uses
automake make system, while optionally, retaining legacy make.

Also available, version, 02.15.08 includes bug fixes, without audible alerts, automake make system additions.


Reproducible: Always




02.18.14

******************Changes Log******************

-wave_file parameter options documentation corrections to present readme.html

-*nix manual files updated for parameter, wave_buff

-some comments removed from ./src/tcp.c

Changes (previous)

inadyn-mt.v.02.18.12

---wave_buff [.25..10], option added for controlling wave file output buffer size

-some configure.ac variable assignments syntax changes

inadyn-mt.v.02.18.10

-Restored distribution archive, FreeBSD version binary

---cache_dir parameter option pointer check

-stray dyndns.h version constant, linefeed removed

inadyn-mt.v.02.18.08

-logfile pointer check error fixed

-FreeBSD version source compile required

inadyn-mt.v.02.18.06

-no libao compile errors fixed

inadyn-mt.v.02.18.04

-wave output attenuation range check

inadyn-mt.v.02.18.02

-removed Makefile.am 32 bit wave files install

inadyn-mt.v.02.17.14-beta

-shutdown/destroy global http client in test_connect fixed

inadyn-mt.v.02.17.12-beta

-wave_gain parameter default to 10

-wave_gain parameter range check

inadyn-mt.v.02.17.10-beta

-remaining legacy string storage changed to heap

inadyn-mt.v.02.17.09-beta

-async connect test initialization bug fixed

-sans ip_server_name parameter default ip server bug fixed

inadyn-mt.v.02.17.08-beta

-ip, time cache directory parameter handler refactored, error checked

-wave_gain parameter documentation updated

inadyn-mt.v.02.17.07-beta

-added wave format 32 bit ieee float support

-gain attenuation extended for 8, 16, 24 bit depths

-changed wave_gain option parameter gain parameter range to [-10..10]

-gain mapped to [0..120] decibels

-improved wave file parsing code

-cache dir, log file updated to unicode

-removed 32 bit ./extra/wav wave files

inadyn-mt.v.02.17.06-beta

-source file, wave_util.c amplitude attenuation

-changed option parameter, wave_volume to wave_gain

inadyn-mt.v.02.17.05-beta

-wave audio output --wave_volume option parameter added

-wave structure destroy null ptr check

-wave format error debug output format fixed

-added inadyn-mt/extra/wav 32 bit wav files

-updated wav files copyright NOTICE file

inadyn-mt.v.02.17.03-beta

-zero wait mutex release ownership test

-null terminated wave error table

-modularized exit testing sleep timer routine

inadyn-mt.v.02.17.02-beta

-libao dynamic loading

---disable-dynamic configure option

-makefile-deprecated NO_DYN_LOAD preproc option

-makefile-deprecated NO_LIBDL preproc option

-makefile-deprecated GETHOSTBYNAME_PARAMS preproc option

-makefile-deprecated non-reentrant ASYNC_LOOKUP preproc option

-archive *nix executables audible support as Windows

inadyn-mt.v.02.16.38-beta

-*nix version libao audible alerts requires recompile

-no gethostbyname_r gethostname.c compile exclusion

-threads disabled gethostname.c compile exclusion

inadyn-mt.v.02.16.36-beta

-configure script syntax error fixed

-config.h source includes

-makefile-deprecated config.h preprocessor option

-Windows config.h preprocessor option

inadyn-mt.v.02.16.34-beta

-gethostbyname_r detection

-reentrant, async dns lookup

-non-reentrant asynchronous dns lookup mutex protection

-autotools macros clean up

-makefile-deprecated preprocessor lookup options

-*nix automake compile sound, network status checks default on

-option parameter, --audible-off changed to --audible toggle, defaults to off

inadyn-mt.v.02.16.32

-debug level global for os.c

inadyn-mt.v.02.16.31-beta

-Windows, pthreads threads wrapper

inadyn-mt.v.02.16.29-beta

-changed tcp.c mutexes' storage class

-null ptr assignment compiler error fixed

inadyn-mt.v.02.16.27-beta

-improved connection synchronization

inadyn-mt.v.02.16.25-beta

-improved connection testing synchronization

inadyn-mt.v.02.16.23-beta

-src/Makefile.am lib path to include /usr/lib

-limit number of threads in async connect test

inadyn-mt.v.02.16.21-beta

-status_offline_interval documentation, man file correction

inadyn-mt.v.02.16.19-beta

-socket create fail debug output level quiet

-configure.ac version update

inadyn-mt.v.02.16.17-beta

-async connect test not based solely on successful socket create

inadyn-mt.v.02.16.15-beta

-non-blocking network socket connect

-consistent windows socket layer shutdown per startup

-makefile-deprecated preprocessor option, USE_THREADS changed to DISABLE_THREADS

-configure --enable-threads option when --enable-sound not used

-fixed possible allocation error in Windows version cross_platform_cwd

-removed unused mythreads.c, mythreads.h from archive

-more reliable Windows version connection test

inadyn-mt.v.02.16.13-beta

-small man file edit

-sound entry/exit debug level downgraded

-unneccessary wave file read sign conversion removed

---wave_loops option added

-wave loops optional option parameter added to --wave_file option parameter

inadyn-mt.v.02.16.12-beta

-retro fix for 8 bit sample sized wave files format

inadyn-mt.v.02.16.09-beta

-./extra/wav/bird-calls.wav, and corresponding copyright notice included

-waveout.c accomodation for 8 bit sample sized wave files format

-some refactoring

inadyn-mt.v.02.16.07-beta

-updated man file

inadyn-mt.v.02.16.05-beta

-waveout.c refactor

-destroy wave data structure call for Linux/FreeBSD play_wave

-init dyndns.c main data structure defaults only once

inadyn-mt.v.02.16.03-beta

-control flow so as not to overwrite --wave_file option with default

inadyn-mt.v.02.16.02-beta

-configure, make install improvements

inadyn-mt.v.02.16.01-beta

-audible alerts if offline -- *nix/BSD requires recompile with ./configure --enable-sound; libao, and libao dev installed

-audible alerts options -- run: inadyn-mt --help

-deprecated make (copy from makefile-deprecated), for autoconf, make

-added configure options: --disable-threads to disable concurrent online status checks; --enable-sound; --enable-debug

-added to old makefile (copy from makefile-deprecated), preprocessor options, USE_SNDFILE, USE_THREADS

inadyn-mt.v.02.12.28

-corrected release notes/changes log error

inadyn-mt.v.02.12.26

-fixed possible string truncation in cross_platform_cwd

-<strike>Windows version: fixed possible invalid ptr in dyn_dns_update_ip</strike> (no invalid ptr)

-added FreeBSD binary in bin/freebsd

**********************************************************************
**********************************************************************

02.15.08

******************Changes Log******************

-Restored distribution archive, FreeBSD version binary

---cache_dir parameter option pointer check

Changes (previous)

inadyn-mt.v.02.15.06

-logfile pointer check error fixed

-FreeBSD version source compile required

inadyn-mt.v.02.15.04

-shutdown/destroy global http client in test_connect fixed

inadyn-mt.v.02.15.02

-cache dir, log file updated to unicode

-remaining legacy string storage changed to heap

-more reliable connection test includes Windows version (regression fix)

inadyn-mt.v.02.14.12

-sans ip_server_name parameter default ip server bug fixed

inadyn-mt.v.02.14.10

-unnecessary debug info flag removed from preprocessor options

inadyn-mt.v.02.14.08

-reentrant, async dns lookup

-non-reentrant asynchronous dns lookup mutex protection

-makefile preprocessor lookup options

inadyn-mt.v.02.14.06

-debug level global for os.c

inadyn-mt.v.02.14.04

-async tcp get, unlock mutex before destroy

-more reliable connection test includes Windows version

-async connections with USE_THREADS preprocessor option compile includes Windows version

inadyn-mt.v.02.14.02

-socket create fail debug output level quiet

-changes log correction (2.12.42-beta to 2.12.42)

inadyn-mt.v.02.12.42

-async connect test not based solely on successful socket create

inadyn-mt.v.02.12.32

-non-blocking network socket connect

-consistent windows socket layer shutdown per startup

-fixed possible allocation error in Windows version cross_platform_cwd

-added USE_THREADS conditional compile option for asynchronous connects

inadyn-mt.v.02.12.28

-corrected release notes/changes log error

inadyn-mt.v.02.24.26

-fixed possible string truncation in cross_platform_cwd

-<strike>Windows version: fixed possible invalid ptr in dyn_dns_update_ip</strike> (no invalid ptr)

-added FreeBSD binary in bin/freebsd

Comment 1 Jochen Schmitt 2010-05-11 17:58:16 UTC
I have creat inadyn-mt-2.18.14 on Rawhide. It may be nice, if anyout can do some tests whith this new release.

Comment 2 Bryan Hoover 2010-05-14 10:16:23 UTC
Jochen,

I've now applied all fc patches, including default lang file patch, in latest version, 02.18.20.

http://downloads.sourceforge.net/project/inadyn-mt/inadyn-mt/inadyn-mt.v.02.18.20/inadyn-mt.v.02.18.20.tar.gz?use_mirror=cdnetworks-us-2

- update server fatal error shutdown more readable debug
- downstream Fedora patch, lang file default, and install path
- autoconf reflects lang file, path patch
- empty --lang_file parameter option gives hard coded output strings defaults

Bryan


Note You need to log in before you can comment on or make changes to this bug.